<ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

  <!-- Sidebar - Brand -->
  <a class="sidebar-brand d-flex align-items-center justify-content-center" href="/admin">
    <div class="sidebar-brand-icon rotate-n-15">
      <i class="fas fa-question-circle"></i>
    </div>
    <div class="sidebar-brand-text mx-3">Quiz Admin</div>
  </a>

  <!-- Divider -->
  <hr class="sidebar-divider my-0">

  <!-- Nav Item - Dashboard -->
  <li class="nav-item <%= (active == 'Dashboard') ? 'active' : ''; %>">
    <a class="nav-link" href="/admin/dashboard/">
      <i class="fas fa-fw fa-tachometer-alt"></i>
      <span>Dashboard</span></a>
  </li>

  <!-- Divider -->
  <hr class="sidebar-divider">

  <!-- Heading -->
  <div class="sidebar-heading">
    Game
  </div>

  <!-- Nav Item - Questions Collapse Menu -->
  <li class="nav-item <%= (active.includes('questions')) ? 'active' : ''; %>">
    <a class="nav-link <%= (active.includes('questions')) ? '' : 'collapsed'; %>" href="#" data-toggle="collapse"
      data-target="#collapseQuestions" aria-expanded="<%= active.includes('questions');%>"
      aria-controls="collapseQuestions">
      <i class="fas fa-fw fa-question"></i>
      <span>Questions</span>
    </a>
    <div id="collapseQuestions" class="collapse <%= (active.includes('questions')) ? 'show' : ''; %>"
      aria-labelledby="headingQuestions" data-parent="#accordionSidebar">
      <div class="bg-white py-2 collapse-inner rounded">
        <h6 class="collapse-header">Choose:</h6>
        <a class="collapse-item <%= (active == 'questions/add') ? 'active' : ''; %>" href="/admin/questions/add">New</a>
        <a class="collapse-item <%= (active == 'questions/show') ? 'active' : ''; %>"
          href="/admin/questions/show">Show</a>
        <a class="collapse-item <%= (active == 'questions/edit') ? 'active' : ''; %>"
          href="/admin/questions/edit">Edit</a>
      </div>
    </div>
  </li>

  <!-- Nav Item - Question sets Collapse Menu -->
  <li class="nav-item <%= (active.includes('questionSets')) ? 'active' : ''; %>">
    <a class="nav-link <%= (active.includes('questionSets')) ? '' : 'collapsed'; %>" href="#" data-toggle="collapse"
      data-target="#collapseQuestionSets" aria-expanded="<%= active.includes('questionSets');%>"
      aria-controls="collapseQuestionSets">
      <i class="fas fa-fw fa-question"></i>
      <span>Question sets</span>
    </a>
    <div id="collapseQuestionSets" class="collapse <%= (active.includes('questionSets')) ? 'show' : ''; %>"
      aria-labelledby="headingQuestions" data-parent="#accordionSidebar">
      <div class="bg-white py-2 collapse-inner rounded">
        <h6 class="collapse-header">Choose:</h6>
        <a class="collapse-item <%= (active == 'questionSets/add') ? 'active' : ''; %>"
          href="/admin/questionSets/add">New</a>
        <a class="collapse-item <%= (active == 'questionSets/show') ? 'active' : ''; %>"
          href="/admin/questionSets/show">Show</a>
        <% if (active == 'questionSets/edit') { %>
        <span class="collapse-item <%= (active == 'questionSets/edit') ? 'active' : ''; %>">Edit</span>
        <% } else if (active == 'questionSets/detail') { %>
        <a class="collapse-item <%= (active == 'questionSets/detail') ? 'active' : ''; %>">Detail</a>
        <% } %>
      </div>
    </div>
  </li>

  <!-- Nav Item - Pages Collapse Menu -->
  <li class="nav-item">
    <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="true"
      aria-controls="collapseTwo">
      <i class="fas fa-fw fa-table"></i>
      <span>Results</span></a>
    </a>
    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
      <div class="bg-white py-2 collapse-inner rounded">
        <h6 class="collapse-header">Choose:</h6>
        <a class="collapse-item" href="/admin/results/top10/">TOP 10</a>
        <a class="collapse-item" href="/admin/results/allTime/">All time</a>
      </div>
    </div>
  </li>

  <!-- Nav Item - Questions Settings -->
  <li class="nav-item <%= ('questions/settings'.includes(active)) ? 'active' : ''; %>">
    <a class="nav-link" href="/admin/game/settings/">
      <i class="fas fa-fw fa-cog"></i>
      <span>Settings</span>
    </a>
  </li>


  <!-- Divider -->
  <hr class="sidebar-divider">

  <!-- Heading -->
  <div class="sidebar-heading">
    Admin
  </div>
  
  <!-- Nav Item - Question sets Collapse Menu -->
  <li class="nav-item <%= (active.includes('user')) ? 'active' : ''; %>">
    <a class="nav-link <%= (active.includes('user')) ? '' : 'collapsed'; %>" href="#" data-toggle="collapse"
      data-target="#users" aria-expanded="<%= active.includes('user');%>"
      aria-controls="users">
      <i class="fas fa-fw fa-users"></i>
      <span>Users</span>
    </a>
    <div id="users" class="collapse <%= (active.includes('user')) ? 'show' : ''; %>"
      aria-labelledby="headingQuestions">
      <div class="bg-white py-2 collapse-inner rounded">
        <h6 class="collapse-header">Choose:</h6>
        <a class="collapse-item <%= (active == 'users/new') ? 'active' : ''; %>"
          href="/admin/users/new">New</a>
        <a class="collapse-item <%= (active == 'users/list') ? 'active' : ''; %>"
          href="/admin/users/list">List</a>
        <% if (active == 'questionSets/edit') { %>
        <span class="collapse-item <%= (active == 'questionSets/edit') ? 'active' : ''; %>">Edit</span>
        <% } else if (active == 'questionSets/detail') { %>
        <a class="collapse-item <%= (active == 'questionSets/detail') ? 'active' : ''; %>">Detail</a>
        <% } %>
      </div>
    </div>
  </li>

  <!-- Nav Item - Charts -->
  <li class="nav-item">
    <a class="nav-link" href="charts.html">
      <i class="fas fa-fw fa-chart-area"></i>
      <span>Charts</span></a>
  </li>

  <!-- Divider -->
  <hr class="sidebar-divider">

  <!-- Heading -->
  <div class="sidebar-heading">
    Extra
  </div>

  <!-- Nav Item - Logout -->
  <li class="nav-item">
    <a class="nav-link" href="/game/" target="_blank">
      <i class="fas fa-fw fa-gamepad"></i>
      <span>Back to the game</span></a>
  </li>

  <!-- Nav Item - Logout -->
  <li class="nav-item">
    <a class="nav-link" href="/admin/logout/">
      <i class="fas fa-fw fa-sign-out-alt"></i>
      <span>Logout</span></a>
  </li>

  <!-- Divider -->
  <hr class="sidebar-divider d-none d-md-block">

  <!-- Sidebar Toggler (Sidebar) -->
  <div class="text-center d-none d-md-inline">
    <button class="rounded-circle border-0" id="sidebarToggle"></button>
  </div>

</ul>